[oe-commits] [openembedded-core] 09/33: scripts: Add yocto-compat-layer-wrapper

git at git.openembedded.org git at git.openembedded.org
Wed Apr 5 11:39:39 UTC 2017


This is an automated email from the git hooks/post-receive script.

rpurdie pushed a commit to branch master-next
in repository openembedded-core.

commit 9414382f96d4a5d81cca440c75140950ca515aab
Author: Aníbal Limón <anibal.limon at linux.intel.com>
AuthorDate: Thu Mar 30 14:01:14 2017 -0600

    scripts: Add yocto-compat-layer-wrapper
    
    This script will be used to create it's own build directory to make
    runs of yocto-compat-layer.py againts layers isolated.
    
    Example:
    
    $ source oe-init-build-env
    $ yocto-compat-layer-wrapper LAYER_DIR LAYER_DIR_N
    
    [YOCTO #11164]
    
    Signed-off-by: Aníbal Limón <anibal.limon at linux.intel.com>
    Signed-off-by: Ross Burton <ross.burton at intel.com>
---
 scripts/yocto-compat-layer-wrapper | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/scripts/yocto-compat-layer-wrapper b/scripts/yocto-compat-layer-wrapper
new file mode 100755
index 0000000..db4b687
--- /dev/null
+++ b/scripts/yocto-compat-layer-wrapper
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+# Yocto Project compatibility layer tool wrapper
+#
+# Creates a temprary build directory to run Yocto Project Compatible
+# script to avoid a contaminated environment.
+#
+# Copyright (C) 2017 Intel Corporation
+# Released under the MIT license (see COPYING.MIT)
+
+if [ -z "$BUILDDIR" ]; then
+	echo "Please source oe-init-build-env before run this script."
+	exit 2
+fi
+
+base_dir=$(realpath $BUILDDIR/../)
+cd $base_dir
+
+build_dir=$(mktemp -p $base_dir -d -t build-XXXX)
+
+source oe-init-build-env $build_dir
+yocto-compat-layer.py "$@"
+retcode=$?
+
+rm -rf $build_dir
+
+exit $retcode

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the Openembedded-commits mailing list